Subject: (IPng 6453) Re: Host Fragmentation

From: [email-masked]
Date: Mon, 14 Sep 1998 12:58:54 EDT

In a message dated 9/10/98 3:55:12 PM Eastern Daylight Time, [email-masked]
writes:

> > Joachim Martillo sez:
>  > The NT Server works best if it can put jumbo frames on the wire.
>  > The situation is not unusual...

>  Yes, bigger packets are good when pushing big data over short trips.
>  This is old news.
  
>  > Unfortunately not every client can receive jumbo frames,
>  > and it may make sense to interpose between the server
>  > and its clients a high performance packet switch that 
>  > could fragment the jumbo frames into standard maximum 
>  > frames.

>  Now that we know (from other sources) that it is indeed TCP
>  throughput we're talking about, the receive-side performance is
>  clearly an issue.  It is quite likely the case that the best TCP
>  performance is had with packets that match the receiver's interface
>  and that the answer to "where to fragment?" is "nowhere."

Currently, we do this sort of test like everyone else with
a massive server and many clients.  The receivers have
no problem in receiving their datastreams as fast as the
datastream is sent to them.

>  > the TTI VLAN Router, for which fragmentation is almost costless,
  
>  Yes, yes, network boxes which can fragment IP at wire speed are also
>  very old news.  But that doesn't make it a good thing to do.

Common systems like the X windows system, which
often usess TCP, make use of fragmentation either
by the host or by the network.  This use of fragmentation
has proven beneficial.
  
>  > The logic of the IPv6 design with regard to the issue of
>  > fragmentation is simply impenetrable.
  
>  Not if you do your homework.  Oops, excuse me:

We run the tests all the time.  That seems more
like doing valid homework than referring to articles
that are essentially an aeon old for this business.

>  > if someone provides a hyperlink I will review the article
  
>  Gods forbid you should put any *effort* into establishing your
>  argument.  (Actually, if you hadn't changed your return address yet
>  again, we wouldn't be *having* this argument.)

Referring to an ancient article, which is as far as
I can tell unavailable in DEC's archives or at the Harvard
Science Center Library, hardly counts as establishing
one's argument.  Anyway, I will check out McKay
and Baker, but my fax (617-298-1745) is on if
anyone would be so kind as to fax the article to
me.

Joachim Martillo
<A HREF="http://members.aol.com/Telford001/">Telford Tools, Inc.</A> 
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------